# List audit log requests

`GET /v0/meta/enterpriseAccounts/{enterpriseAccountId}/auditLogs`

**NOTE:** Use of this API is discouraged for new use cases. Prefer to use the [audit log events API](/api/audit-logs-overview) instead.

Retrieve all audit log requests.

## Scopes

- `enterprise.auditLogs:read`

## Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `pageSize` | `number` | No | The number of records per page. Maximum value of 100; defaults to 10. |
| `offset` | `number` | No | If there may be more to retrieve, an **offset** is returned.
Pass the **offset** to the next call to retrieve the next page. Do not pass **offset** when retrieving the first page. |

## Responses

### 200

```json
{
  "properties": {
    "auditLogs": {
      "items": {
        "$ref": "#/components/schemas/Audit-log"
      },
      "type": "array"
    },
    "offset": {
      "type": "number"
    }
  },
  "required": [
    "auditLogs"
  ],
  "type": "object"
}
```
